# Tarfile created using git 		
# git clone git://gitorious.org/meego-os-base/uxlaunch.git
# git archive --format=tar --prefix=%{name}-%{version}/ v%{version} | bzip2 > ~/%{name}-%{version}.tar.bz2 		
%define tarfile %{name}-%{version}.tar.bz2 		

Name:          uxlaunch
Version:       0.56
Release:       8%{?dist}
Epoch:         1
Summary:       A small and quick interface to start the Moblin Desktop

Group:         User Interface/X
License:       GPLv2
URL:           http://www.meego.com/
Source0:       %{tarfile}
Source1:       fedora-netbook.desktop
Source2:       startmoblin
Patch0:        uxlaunch-myzone-speed.patch
Patch1:        %{name}-0.56-s390.patch
Patch2:        %{name}-options.patch

BuildRequires: ConsoleKit-devel
BuildRequires: dbus-glib-devel
BuildRequires: desktop-file-utils
BuildRequires: libXau-devel
BuildRequires: pam-devel

Requires: dbus

Provides: moblin-session = %{version}
Obsoletes: moblin-session < 0.13

%description
An ultra-lightweight, very cut down gdm and gnome-session replacement 
designed to get the Moblin Desktop running as quick as possible.

%prep
%setup -q
%patch0 -p1 -b .myzone-speed
%patch1 -p1 -b .s390
%patch2 -p1 -b .option

# make build verbose
sed -i 's!^\(\t\+\)@!\1!' Makefile

%build
%configure
make %{?_smp_mflags} mutterlibexecdir=/usr/lib/mutter-meego

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

# Remove execute bit from config and man files
chmod -x %{buildroot}/%{_sysconfdir}/sysconfig/uxlaunch
chmod -x %{buildroot}/%{_datadir}/man/man1/uxlaunch*

# To use this as a user session launcher  
mkdir -p $RPM_BUILD_ROOT%{_bindir}  
mkdir -p $RPM_BUILD_ROOT%{_datadir}/xsessions  
desktop-file-install --dir=%{buildroot}%{_datadir}/xsessions/ %{SOURCE1}
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/startmoblin

%files
%defattr(-,root,root,-)
%doc COPYING
%doc %{_datadir}/man/man1/uxlaunch.1.gz
%config(noreplace) %{_sysconfdir}/sysconfig/uxlaunch
%{_sbindir}/uxlaunch
%{_bindir}/startmoblin
%{_datadir}/xsessions/fedora-netbook.desktop

%changelog
* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.56-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.56-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.56-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.56-5
- Add patch to load mutter netbook plugins

* Sun Oct 10 2010 Peter Robinson <pbrobinson@gmail.com> 0.56-4
- Add epoch and obsolete moblin-session

* Sun Oct 10 2010 Peter Robinson <pbrobinson@gmail.com> 0.56-3
- Add some patches for starting the UX

* Fri Sep 24 2010 Dan Horák <dan[at]danny.cz> 0.56-2
- add support for s390(x)

* Tue Sep  7 2010 Peter Robinson <pbrobinson@gmail.com> 0.56-1
- New upstream 0.56 release

* Sun Jul 11 2010 Peter Robinson <pbrobinson@gmail.com> 0.53-1
- New upstream 0.53 release

* Fri Apr 16 2010 Peter Robinson <pbrobinson@gmail.com> 0.49-2
- Upload the new source file

* Fri Apr 16 2010 Peter Robinson <pbrobinson@gmail.com> 0.49-1
- New upstream 0.49 release

* Wed Mar 24 2010 Peter Robinson <pbrobinson@gmail.com> 0.47-1
- New upstream 0.47 release

* Mon Mar 15 2010 Peter Robinson <pbrobinson@gmail.com> 0.46-1
- New upstream 0.46 release

* Sun Feb 28 2010 Peter Robinson <pbrobinson@gmail.com> 0.44-1
- New upstream 0.44 release

* Sun Feb 21 2010 Peter Robinson <pbrobinson@gmail.com> 0.41-1
- New upstream 0.41 release

* Mon Feb 15 2010 Peter Robinson <pbrobinson@gmail.com> 0.40-1
- New upstream 0.40 release

* Thu Feb 11 2010 Peter Robinson <pbrobinson@gmail.com> 0.39-1
- New upstream 0.39 release

* Tue Feb  9 2010 Peter Robinson <pbrobinson@gmail.com> 0.37-1
- New upstream 0.37 release

* Fri Jan 22 2010 Peter Robinson <pbrobinson@gmail.com> 0.35-1
- New upstream 0.35 release

* Fri Jan 15 2010 Peter Robinson <pbrobinson@gmail.com> 0.34-1
- New upstream 0.34 release

* Mon Oct 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.30-1
- New upstream 0.30 release

* Wed Oct 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.29-1
- New upstream 0.29 release

* Tue Oct 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.28-1
- New upstream 0.28 release, updates from review

* Tue Sep  8 2009 Peter Robinson <pbrobinson@gmail.com> 0.23-1
- Initial packaging
